from django.db import models
from app.models import ItfModel
from ox.django.fields import DictField

class GalleryAlbum(ItfModel):
    '''
    
    '''
    title = models.CharField(max_length=512, unique=True)
    slug = models.SlugField(unique=True)
    content_type = models.ForeignKey(ContentType)
    object_id = models.PositiveIntegerField()
    content_object = generic.GenericForeignKey('content_type', 'object_id')

    def __unicode__(self):
        return self.title


class GalleryItem(models.Model):
    title = models.CharField(max_length=512, blank=True, null=True)
    album = models.ForeignKey(GalleryAlbum)
    data = models.DictField()    

    def __unicode__(self):
        return self.title


class Photo(GalleryItem):
    image = models.ImageField()


#class Video(GalleryItem):
#    ...


#class YoutubeVideo(GalleryItem):
#    ...




# Create your models here.
